﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace NetpasWS3._0Client
{
    

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            string pincode = "DEMO";
            string accesscode = "DEMO";
            string text = "";

            string[] portNames = "PUSAN/PALAU/LONDON".Split('/');
            
            NetpasWSVersion3.NPDistanceVersion3Client proxy = new NetpasWSVersion3.NPDistanceVersion3Client();
            NetpasWSVersion3.GetDistReturn distReturn = proxy.getDistance(pincode, accesscode, portNames, "005");

            text += "RETCODE :"+distReturn.retCode + "\r\n";
            text += "RETMSG :" + distReturn.retMessage + "\r\n";
            text += "\r\n";

            text += "DAYLIMIT :" + distReturn.dayLimit + "\r\n";
            text += "TODAYUSED :" + distReturn.todayUsed + "\r\n";
            text += "\r\n";

            text += "TotalDistance :" + distReturn.totalDistance + "\r\n";
            text += "TotalDistanceSECA :" + distReturn.totalDistanceSECA + "\r\n";
            text += "\r\n";
            
            NetpasWSVersion3.Section[] sections = distReturn.sections;
            for (int i = 0; i < sections.Length; i++)
            {
                NetpasWSVersion3.Section section = sections[i];
                text += section.fromPort + " -> " + section.toPort + " " + section.distance + "("+section.distanceSECA+")"+"\r\n";
                NetpasWSVersion3.WayPoint[] waypoints = section.waypoints;
                for (int j = 0; j < waypoints.Length; j++)
                {
                    NetpasWSVersion3.WayPoint waypoint = waypoints[j];
                    text += "\"" + waypoint.name + "\" , " + waypoint.lat + " , " + waypoint.lon + " , " + waypoint.seca + "\r\n"; 

                }
                text += "\r\n";
            }
            //textBox1.Text = sections.Length.ToString();
            textBox1.Text = sections.Length.ToString();
            textBox1.Text = text;
        }
    }
}
